# Parse CITATION_basic

    
    To cite RNeXML in publications, please use:
    
    Boettiger C, Chamberlain S, Vos R, Lapp H (2016). "RNeXML: A Package
    for Reading and Writing Richly Annotated Phylogenetic, Character, and
    Trait Data in R." _Methods in Ecology and Evolution_, *7*, 352-357.
    doi: 10.1111/2041-210X.12469 (URL:
    https://doi.org/10.1111/2041-210X.12469).
    
    A BibTeX entry for LaTeX users is
    
      @Article{,
        title = {{RNeXML}: {A} Package for Reading and Writing Richly Annotated Phylogenetic, Character, and Trait Data in {R}},
        journal = {Methods in Ecology and Evolution},
        author = {Carl Boettiger and Scott Chamberlain and Rutger Vos and Hilmar Lapp},
        year = {2016},
        volume = {7},
        pages = {352--357},
        doi = {10.1111/2041-210X.12469},
      }
    
      H. Wickham. ggplot2: Elegant Graphics for Data Analysis.
      Springer-Verlag New York, 2016.
    
    A BibTeX entry for LaTeX users is
    
      @Book{,
        author = {Hadley Wickham},
        title = {ggplot2: Elegant Graphics for Data Analysis},
        publisher = {Springer-Verlag New York},
        year = {2016},
        isbn = {978-3-319-24277-4},
        url = {https://ggplot2.tidyverse.org},
      }
    

# Parse CITATION with no encoding

    
    To cite RNeXML in publications, please use:
    
    Boettiger C, Chamberlain S, Vos R, Lapp H (2016). "RNeXML: A Package
    for Reading and Writing Richly Annotated Phylogenetic, Character, and
    Trait Data in R." _Methods in Ecology and Evolution_, *7*, 352-357.
    doi: 10.1111/2041-210X.12469 (URL:
    https://doi.org/10.1111/2041-210X.12469).
    
    A BibTeX entry for LaTeX users is
    
      @Article{,
        title = {{RNeXML}: {A} Package for Reading and Writing Richly Annotated Phylogenetic, Character, and Trait Data in {R}},
        journal = {Methods in Ecology and Evolution},
        author = {Carl Boettiger and Scott Chamberlain and Rutger Vos and Hilmar Lapp},
        year = {2016},
        volume = {7},
        pages = {352--357},
        doi = {10.1111/2041-210X.12469},
      }
    
      H. Wickham. ggplot2: Elegant Graphics for Data Analysis.
      Springer-Verlag New York, 2016.
    
    A BibTeX entry for LaTeX users is
    
      @Book{,
        author = {Hadley Wickham},
        title = {ggplot2: Elegant Graphics for Data Analysis},
        publisher = {Springer-Verlag New York},
        year = {2016},
        isbn = {978-3-319-24277-4},
        url = {https://ggplot2.tidyverse.org},
      }
    

# Parse CITATION_auto

    
      Roger Bivand and Colin Rundel (2020). rgeos: Interface to Geometry
      Engine - Open Source ('GEOS'). R package version 0.5-7.
      https://CRAN.R-project.org/package=rgeos
    
    A BibTeX entry for LaTeX users is
    
      @Manual{,
        title = {rgeos: Interface to Geometry Engine - Open Source ('GEOS')},
        author = {Roger Bivand and Colin Rundel},
        year = {2020},
        note = {R package version 0.5-7},
        url = {https://CRAN.R-project.org/package=rgeos},
      }
    
    To cite RNeXML in publications, please use:
    
    Boettiger C, Chamberlain S, Vos R, Lapp H (2016). "RNeXML: A Package
    for Reading and Writing Richly Annotated Phylogenetic, Character, and
    Trait Data in R." _Methods in Ecology and Evolution_, *7*, 352-357.
    doi: 10.1111/2041-210X.12469 (URL:
    https://doi.org/10.1111/2041-210X.12469).
    
    A BibTeX entry for LaTeX users is
    
      @Article{,
        title = {{RNeXML}: {A} Package for Reading and Writing Richly Annotated Phylogenetic, Character, and Trait Data in {R}},
        journal = {Methods in Ecology and Evolution},
        author = {Carl Boettiger and Scott Chamberlain and Rutger Vos and Hilmar Lapp},
        year = {2016},
        volume = {7},
        pages = {352--357},
        doi = {10.1111/2041-210X.12469},
      }
    
      H. Wickham. ggplot2: Elegant Graphics for Data Analysis.
      Springer-Verlag New York, 2016.
    
    A BibTeX entry for LaTeX users is
    
      @Book{,
        author = {Hadley Wickham},
        title = {ggplot2: Elegant Graphics for Data Analysis},
        publisher = {Springer-Verlag New York},
        year = {2016},
        isbn = {978-3-319-24277-4},
        url = {https://ggplot2.tidyverse.org},
      }
    

# Parse CITATION_rmarkdown

    
    To cite the 'rmarkdown' package in publications, please use:
    
      (2021). rmarkdown: A Basic Description. R package version 0.1.6. URL
      https://rmarkdown.rstudio.com.
    
    A BibTeX entry for LaTeX users is
    
      @Manual{,
        title = {rmarkdown: A Basic Description},
        year = {2021},
        note = {R package version 0.1.6},
        url = {https://github.com/basic/package},
      }
    
      Yihui Xie and J.J. Allaire and Garrett Grolemund (2018). R Markdown:
      The Definitive Guide. Chapman and Hall/CRC. ISBN 9781138359338. URL
      https://bookdown.org/yihui/rmarkdown.
    
    A BibTeX entry for LaTeX users is
    
      @Book{,
        title = {R Markdown: The Definitive Guide},
        author = {Yihui Xie and J.J. Allaire and Garrett Grolemund},
        publisher = {Chapman and Hall/CRC},
        address = {Boca Raton, Florida},
        year = {2018},
        note = {ISBN 9781138359338},
        url = {https://bookdown.org/yihui/rmarkdown},
      }
    
      Yihui Xie and Christophe Dervieux and Emily Riederer (2020). R
      Markdown Cookbook. Chapman and Hall/CRC. ISBN 9780367563837. URL
      https://bookdown.org/yihui/rmarkdown-cookbook.
    
    A BibTeX entry for LaTeX users is
    
      @Book{,
        title = {R Markdown Cookbook},
        author = {Yihui Xie and Christophe Dervieux and Emily Riederer},
        publisher = {Chapman and Hall/CRC},
        address = {Boca Raton, Florida},
        year = {2020},
        note = {ISBN 9780367563837},
        url = {https://bookdown.org/yihui/rmarkdown-cookbook},
      }
    

